io.undertow.util

## Interface PooledObject<T>

All Superinterfaces:
  AutoCloseable, Closeable

    public interface PooledObject<T>
    extends Closeable, AutoCloseable

Represents a generic pooled object

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`T` `getObject()`

### Method Detail

#### getObject

    T getObject()

#### close

    void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`